=== settings/CMakeLists.txt ===
INSTALL( FILES
         "${CMAKE_SOURCE_DIR}/settings/designer.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/office.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/photographer.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/prepress.policy.xml"
         DESTINATION share/color/settings/
       )
