=== src/include/CMakeLists.txt ===
INSTALL( FILES
        icc34.h
	oyranos.h
	oyranos_colour.h
	oyranos_config.h
	oyranos_core.h
	oyranos_definitions.h
	oyranos_icc.h
	oyranos_types.h
	DESTINATION include/${PACKAGE_NAME})
