=== extras/debian/changelog ===
oyranos (0.9.4-1) unstable; urgency=low

  * use available Lab from debian's icc-profile II
  * fix argument parsing in oy-policy tool
  * fix compile warnings
  * support cmake 2.6.4
  * build without LibRaw
  * write n-channel images
  * update copying files
  * add oySIGNATURE_ILLUMINANT
  * add oyProfileSignatureName()
  * add oyWIDGET_GROUP_DEVICES

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Fri, 19 Jan 2013 12:00:00 +0100

oyranos (0.9.3-1) unstable; urgency=low

  * use oyEDITING_XYZ instead of "XYZ.icc"
  * support download of ICC profiles in oy-profiles
  * avoid XRandR expensive call again
  * fix derived QtApplication class constructor
  * show initial XCM status in qcmsevents

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Fri, 04 Jan 2013 12:00:00 +0100

oyranos (0.9.2-1) unstable; urgency=low

  * Initial release

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Tue, 20 Nov 2012 16:05:16 +0100
