=== extras/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sourceforge.net/projects/oyranos/files/Oyranos/Oyranos%200.9/oyranos-([\d\.]+)\.tar\.(?:bz2|gz|xz)
